


<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Reconstructing Nuclear Fuel Cycles</title>
        <style>
            body {
                display: flex;
                width: 100vw;
                height: 100vh;
                margin: 0;
                padding: 0;
            }

            iframe {
                border: none;
            }

            .sozi-frame-preview {
                display: flex;
                flex-direction: column;
                resize: horizontal;
                overflow: hidden;
                width: 50vw;
                padding: 0.5rem 0;
                box-shadow: 5px 0px 5px rgb(150,150,150);
                z-index: 1;
            }

            .sozi-current-frame-container {
                height: 50%;
                margin-bottom: 0.5rem;
                resize: vertical;
                overflow: hidden;
            }

            .sozi-current-frame {
                width: 100%;
                height: 100%;
            }

            .sozi-frame-previews-prev-next {
                display: flex;
                flex: auto;
            }

            .sozi-previous-frame, .sozi-next-frame {
                margin-right: 0.5rem;
                width: 50%;
            }

            .sozi-controls {
                text-align: center;
                margin-bottom: 0.5rem;
            }

            .sozi-controls input {
                font-size: 150%;
                font-family: sans-serif;
            }

            .sozi-notes {
                flex: auto;
                padding: 0.5rem 1rem;
                background: rgb(245, 245, 245);
            }

            .sozi-current-index {
                margin: 0 0.5rem 0 1rem;
            }

            .sozi-presentation-length {
                margin: 0 1rem 0 0.5rem;
            }
        </style>
    </head>
    <body>
        <div class="sozi-frame-preview">
            <div class="sozi-current-frame-container">
                <iframe class="sozi-current-frame" src="pres2.sozi.html"></iframe>
            </div>
            <div class="sozi-controls">
                <input type="button" id="sozi-previous-btn" value="&laquo;" title="Previous">
                <span class="sozi-current-index"></span>/<span class="sozi-presentation-length"></span>
                <input type="button" id="sozi-next-btn" value="&raquo;" title="Next">
            </div>
            <div class="sozi-frame-previews-prev-next">
                <iframe class="sozi-previous-frame" src="pres2.sozi.html"></iframe>
                <iframe class="sozi-next-frame"     src="pres2.sozi.html"></iframe>
            </div>
        </div>
        <div class="sozi-notes">
            <h1 class="sozi-notes-title"></h1>
            <div class="sozi-notes-body"></div>
        </div>

        <script>!function o(a,s,l){function c(n,e){if(!s[n]){if(!a[n]){var t="function"==typeof require&&require;if(!e&&t)return t(n,!0);if(u)return u(n,!0);var r=new Error("Cannot find module '"+n+"'");throw r.code="MODULE_NOT_FOUND",r}var i=s[n]={exports:{}};a[n][0].call(i.exports,function(e){return c(a[n][1][e]||e)},i,i.exports,o,a,s,l)}return s[n].exports}for(var u="function"==typeof require&&require,e=0;e<l.length;e++)c(l[e]);return c}({1:[function(e,n,t){"use strict";e("core-js/modules/es.array.for-each"),e("core-js/modules/es.function.name");var o,a=[{index:0},{index:-1},{index:1}],s=0;function l(e){0<=e.index&&e.index<s?e.window.postMessage({name:"jumpToFrame",args:[e.index]},"*"):e.window.postMessage({name:"enableBlankScreen"},"*")}window.addEventListener("message",function(e){switch(e.data.name){case"loaded":s=e.data.length,e.source===o?e.source.postMessage({name:"notifyOnFrameChange"},"*"):e.source.postMessage({name:"setPresenterMode",isCurrent:e.source===a[0].window},"*");break;case"frameChange":a[0].index=e.data.index,a[1].index=e.data.index-1,a[2].index=e.data.index+1,a.forEach(l),n=e.data,t=n.index,r=n.title,i=n.notes,document.querySelector(".sozi-current-index").innerHTML=t+1,document.querySelector(".sozi-presentation-length").innerHTML=s,document.querySelector(".sozi-notes-title").innerHTML=r,"string"==typeof i&&(document.querySelector(".sozi-notes-body").innerHTML=i);break;case"click":o.postMessage({name:"click",id:e.data.id},"*")}var n,t,r,i}),window.addEventListener("load",function(){var t=document.querySelectorAll("iframe");a.forEach(function(e,n){e.window=t[n].contentWindow}),o=window.open(t[0].src,"sozi-presentation","width=600, height=400, scrollbars=yes, toolbar=yes");try{o.focus(),document.getElementById("sozi-previous-btn").addEventListener("click",function(){o.postMessage({name:"moveToPrevious"},"*")},!1),document.getElementById("sozi-next-btn").addEventListener("click",function(){o.postMessage({name:"moveToNext"},"*")},!1)}catch(e){alert("Could not open presentation window. Please allow popups for this site and refresh this page.")}},!1),window.addEventListener("keydown",function(e){if(!(e.altKey||e.ctrlKey||e.metaKey)){switch(e.keyCode){case 36:e.shiftKey?o.postMessage({name:"jumpToFirst"},"*"):o.postMessage({name:"moveToFirst"},"*");break;case 35:e.shiftKey?o.postMessage({name:"jumpToLast"},"*"):o.postMessage({name:"moveToLast"},"*");break;case 38:case 33:case 37:e.shiftKey?o.postMessage({name:"jumpToPrevious"},"*"):o.postMessage({name:"moveToPrevious"},"*");break;case 40:case 34:case 39:case 13:case 32:e.shiftKey?o.postMessage({name:"jumpToNext"},"*"):o.postMessage({name:"moveToNext"},"*");break;default:return}e.stopPropagation(),e.preventDefault()}}),window.addEventListener("keypress",function(e){if(!(e.altKey||e.ctrlKey||e.metaKey)){switch(e.charCode||e.which){case 46:o.postMessage({name:"toggleBlankScreen"},"*");break;default:return}e.stopPropagation(),e.preventDefault()}})},{"core-js/modules/es.array.for-each":57,"core-js/modules/es.function.name":58}],2:[function(e,n,t){n.exports=function(e){if("function"!=typeof e)throw TypeError(String(e)+" is not a function");return e}},{}],3:[function(e,n,t){var r=e("../internals/is-object");n.exports=function(e){if(!r(e))throw TypeError(String(e)+" is not an object");return e}},{"../internals/is-object":30}],4:[function(e,n,t){"use strict";var r=e("../internals/array-iteration").forEach,i=e("../internals/array-method-is-strict"),o=e("../internals/array-method-uses-to-length"),a=i("forEach"),s=o("forEach");n.exports=a&&s?[].forEach:function(e,n){return r(this,e,1<arguments.length?n:void 0)}},{"../internals/array-iteration":6,"../internals/array-method-is-strict":7,"../internals/array-method-uses-to-length":8}],5:[function(e,n,t){function r(s){return function(e,n,t){var r,i=l(e),o=c(i.length),a=u(t,o);if(s&&n!=n){for(;a<o;)if((r=i[a++])!=r)return!0}else for(;a<o;a++)if((s||a in i)&&i[a]===n)return s||a||0;return!s&&-1}}var l=e("../internals/to-indexed-object"),c=e("../internals/to-length"),u=e("../internals/to-absolute-index");n.exports={includes:r(!0),indexOf:r(!1)}},{"../internals/to-absolute-index":48,"../internals/to-indexed-object":49,"../internals/to-length":51}],6:[function(e,n,t){function r(d){var y=1==d,b=2==d,h=3==d,g=4==d,m=6==d,v=7==d,x=5==d||m;return function(e,n,t,r){for(var i,o,a=S(e),s=j(a),l=w(n,t,3),c=k(s.length),u=0,f=r||E,p=y?f(e,c):b||v?f(e,0):void 0;u<c;u++)if((x||u in s)&&(o=l(i=s[u],u,a),d))if(y)p[u]=o;else if(o)switch(d){case 3:return!0;case 5:return i;case 6:return u;case 2:O.call(p,i)}else switch(d){case 4:return!1;case 7:O.call(p,i)}return m?-1:h||g?g:p}}var w=e("../internals/function-bind-context"),j=e("../internals/indexed-object"),S=e("../internals/to-object"),k=e("../internals/to-length"),E=e("../internals/array-species-create"),O=[].push;n.exports={forEach:r(0),map:r(1),filter:r(2),some:r(3),every:r(4),find:r(5),findIndex:r(6),filterOut:r(7)}},{"../internals/array-species-create":9,"../internals/function-bind-context":19,"../internals/indexed-object":25,"../internals/to-length":51,"../internals/to-object":52}],7:[function(e,n,t){"use strict";var r=e("../internals/fails");n.exports=function(e,n){var t=[][e];return!!t&&r(function(){t.call(null,n||function(){throw 1},1)})}},{"../internals/fails":18}],8:[function(e,n,t){function a(e){throw e}var s=e("../internals/descriptors"),l=e("../internals/fails"),c=e("../internals/has"),u=Object.defineProperty,f={};n.exports=function(e,n){if(c(f,e))return f[e];var t=[][e],r=!!c(n=n||{},"ACCESSORS")&&n.ACCESSORS,i=c(n,0)?n[0]:a,o=c(n,1)?n[1]:void 0;return f[e]=!!t&&!l(function(){if(r&&!s)return!0;var e={length:-1};r?u(e,1,{enumerable:!0,get:a}):e[1]=1,t.call(e,i,o)})}},{"../internals/descriptors":14,"../internals/fails":18,"../internals/has":22}],9:[function(e,n,t){var r=e("../internals/is-object"),i=e("../internals/is-array"),o=e("../internals/well-known-symbol")("species");n.exports=function(e,n){var t;return i(e)&&("function"==typeof(t=e.constructor)&&(t===Array||i(t.prototype))||r(t)&&null===(t=t[o]))&&(t=void 0),new(void 0===t?Array:t)(0===n?0:n)}},{"../internals/is-array":28,"../internals/is-object":30,"../internals/well-known-symbol":56}],10:[function(e,n,t){var r={}.toString;n.exports=function(e){return r.call(e).slice(8,-1)}},{}],11:[function(e,n,t){var s=e("../internals/has"),l=e("../internals/own-keys"),c=e("../internals/object-get-own-property-descriptor"),u=e("../internals/object-define-property");n.exports=function(e,n){for(var t=l(n),r=u.f,i=c.f,o=0;o<t.length;o++){var a=t[o];s(e,a)||r(e,a,i(n,a))}}},{"../internals/has":22,"../internals/object-define-property":34,"../internals/object-get-own-property-descriptor":35,"../internals/own-keys":40}],12:[function(e,n,t){var r=e("../internals/descriptors"),i=e("../internals/object-define-property"),o=e("../internals/create-property-descriptor");n.exports=r?function(e,n,t){return i.f(e,n,o(1,t))}:function(e,n,t){return e[n]=t,e}},{"../internals/create-property-descriptor":13,"../internals/descriptors":14,"../internals/object-define-property":34}],13:[function(e,n,t){n.exports=function(e,n){return{enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:n}}},{}],14:[function(e,n,t){var r=e("../internals/fails");n.exports=!r(function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})},{"../internals/fails":18}],15:[function(e,n,t){var r=e("../internals/global"),i=e("../internals/is-object"),o=r.document,a=i(o)&&i(o.createElement);n.exports=function(e){return a?o.createElement(e):{}}},{"../internals/global":21,"../internals/is-object":30}],16:[function(e,n,t){n.exports=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"]},{}],17:[function(e,n,t){var u=e("../internals/global"),f=e("../internals/object-get-own-property-descriptor").f,p=e("../internals/create-non-enumerable-property"),d=e("../internals/redefine"),y=e("../internals/set-global"),b=e("../internals/copy-constructor-properties"),h=e("../internals/is-forced");n.exports=function(e,n){var t,r,i,o,a=e.target,s=e.global,l=e.stat,c=s?u:l?u[a]||y(a,{}):(u[a]||{}).prototype;if(c)for(t in n){if(i=n[t],r=e.noTargetGet?(o=f(c,t))&&o.value:c[t],!h(s?t:a+(l?".":"#")+t,e.forced)&&void 0!==r){if(typeof i==typeof r)continue;b(i,r)}(e.sham||r&&r.sham)&&p(i,"sham",!0),d(c,t,i,e)}}},{"../internals/copy-constructor-properties":11,"../internals/create-non-enumerable-property":12,"../internals/global":21,"../internals/is-forced":29,"../internals/object-get-own-property-descriptor":35,"../internals/redefine":42,"../internals/set-global":44}],18:[function(e,n,t){n.exports=function(e){try{return!!e()}catch(e){return!0}}},{}],19:[function(e,n,t){var o=e("../internals/a-function");n.exports=function(r,i,e){if(o(r),void 0===i)return r;switch(e){case 0:return function(){return r.call(i)};case 1:return function(e){return r.call(i,e)};case 2:return function(e,n){return r.call(i,e,n)};case 3:return function(e,n,t){return r.call(i,e,n,t)}}return function(){return r.apply(i,arguments)}}},{"../internals/a-function":2}],20:[function(e,n,t){function r(e){return"function"==typeof e?e:void 0}var i=e("../internals/path"),o=e("../internals/global");n.exports=function(e,n){return arguments.length<2?r(i[e])||r(o[e]):i[e]&&i[e][n]||o[e]&&o[e][n]}},{"../internals/global":21,"../internals/path":41}],21:[function(e,t,n){(function(e){function n(e){return e&&e.Math==Math&&e}t.exports=n("object"==typeof globalThis&&globalThis)||n("object"==typeof window&&window)||n("object"==typeof self&&self)||n("object"==typeof e&&e)||function(){return this}()||Function("return this")()}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],22:[function(e,n,t){var r={}.hasOwnProperty;n.exports=function(e,n){return r.call(e,n)}},{}],23:[function(e,n,t){n.exports={}},{}],24:[function(e,n,t){var r=e("../internals/descriptors"),i=e("../internals/fails"),o=e("../internals/document-create-element");n.exports=!r&&!i(function(){return 7!=Object.defineProperty(o("div"),"a",{get:function(){return 7}}).a})},{"../internals/descriptors":14,"../internals/document-create-element":15,"../internals/fails":18}],25:[function(e,n,t){var r=e("../internals/fails"),i=e("../internals/classof-raw"),o="".split;n.exports=r(function(){return!Object("z").propertyIsEnumerable(0)})?function(e){return"String"==i(e)?o.call(e,""):Object(e)}:Object},{"../internals/classof-raw":10,"../internals/fails":18}],26:[function(e,n,t){var r=e("../internals/shared-store"),i=Function.toString;"function"!=typeof r.inspectSource&&(r.inspectSource=function(e){return i.call(e)}),n.exports=r.inspectSource},{"../internals/shared-store":46}],27:[function(e,n,t){var r,i,o,a,s,l,c,u,f=e("../internals/native-weak-map"),p=e("../internals/global"),d=e("../internals/is-object"),y=e("../internals/create-non-enumerable-property"),b=e("../internals/has"),h=e("../internals/shared-store"),g=e("../internals/shared-key"),m=e("../internals/hidden-keys"),v=p.WeakMap;c=f?(r=h.state||(h.state=new v),i=r.get,o=r.has,a=r.set,s=function(e,n){return n.facade=e,a.call(r,e,n),n},l=function(e){return i.call(r,e)||{}},function(e){return o.call(r,e)}):(m[u=g("state")]=!0,s=function(e,n){return n.facade=e,y(e,u,n),n},l=function(e){return b(e,u)?e[u]:{}},function(e){return b(e,u)}),n.exports={set:s,get:l,has:c,enforce:function(e){return c(e)?l(e):s(e,{})},getterFor:function(t){return function(e){var n;if(!d(e)||(n=l(e)).type!==t)throw TypeError("Incompatible receiver, "+t+" required");return n}}}},{"../internals/create-non-enumerable-property":12,"../internals/global":21,"../internals/has":22,"../internals/hidden-keys":23,"../internals/is-object":30,"../internals/native-weak-map":33,"../internals/shared-key":45,"../internals/shared-store":46}],28:[function(e,n,t){var r=e("../internals/classof-raw");n.exports=Array.isArray||function(e){return"Array"==r(e)}},{"../internals/classof-raw":10}],29:[function(e,n,t){function r(e,n){var t=s[a(e)];return t==c||t!=l&&("function"==typeof n?i(n):!!n)}var i=e("../internals/fails"),o=/#|\.prototype\./,a=r.normalize=function(e){return String(e).replace(o,".").toLowerCase()},s=r.data={},l=r.NATIVE="N",c=r.POLYFILL="P";n.exports=r},{"../internals/fails":18}],30:[function(e,n,t){n.exports=function(e){return"object"==typeof e?null!==e:"function"==typeof e}},{}],31:[function(e,n,t){n.exports=!1},{}],32:[function(e,n,t){var r=e("../internals/fails");n.exports=!!Object.getOwnPropertySymbols&&!r(function(){return!String(Symbol())})},{"../internals/fails":18}],33:[function(e,n,t){var r=e("../internals/global"),i=e("../internals/inspect-source"),o=r.WeakMap;n.exports="function"==typeof o&&/native code/.test(i(o))},{"../internals/global":21,"../internals/inspect-source":26}],34:[function(e,n,t){var r=e("../internals/descriptors"),i=e("../internals/ie8-dom-define"),o=e("../internals/an-object"),a=e("../internals/to-primitive"),s=Object.defineProperty;t.f=r?s:function(e,n,t){if(o(e),n=a(n,!0),o(t),i)try{return s(e,n,t)}catch(e){}if("get"in t||"set"in t)throw TypeError("Accessors not supported");return"value"in t&&(e[n]=t.value),e}},{"../internals/an-object":3,"../internals/descriptors":14,"../internals/ie8-dom-define":24,"../internals/to-primitive":53}],35:[function(e,n,t){var r=e("../internals/descriptors"),i=e("../internals/object-property-is-enumerable"),o=e("../internals/create-property-descriptor"),a=e("../internals/to-indexed-object"),s=e("../internals/to-primitive"),l=e("../internals/has"),c=e("../internals/ie8-dom-define"),u=Object.getOwnPropertyDescriptor;t.f=r?u:function(e,n){if(e=a(e),n=s(n,!0),c)try{return u(e,n)}catch(e){}if(l(e,n))return o(!i.f.call(e,n),e[n])}},{"../internals/create-property-descriptor":13,"../internals/descriptors":14,"../internals/has":22,"../internals/ie8-dom-define":24,"../internals/object-property-is-enumerable":39,"../internals/to-indexed-object":49,"../internals/to-primitive":53}],36:[function(e,n,t){var r=e("../internals/object-keys-internal"),i=e("../internals/enum-bug-keys").concat("length","prototype");t.f=Object.getOwnPropertyNames||function(e){return r(e,i)}},{"../internals/enum-bug-keys":16,"../internals/object-keys-internal":38}],37:[function(e,n,t){t.f=Object.getOwnPropertySymbols},{}],38:[function(e,n,t){var a=e("../internals/has"),s=e("../internals/to-indexed-object"),l=e("../internals/array-includes").indexOf,c=e("../internals/hidden-keys");n.exports=function(e,n){var t,r=s(e),i=0,o=[];for(t in r)!a(c,t)&&a(r,t)&&o.push(t);for(;n.length>i;)a(r,t=n[i++])&&(~l(o,t)||o.push(t));return o}},{"../internals/array-includes":5,"../internals/has":22,"../internals/hidden-keys":23,"../internals/to-indexed-object":49}],39:[function(e,n,t){"use strict";var r={}.propertyIsEnumerable,i=Object.getOwnPropertyDescriptor,o=i&&!r.call({1:2},1);t.f=o?function(e){var n=i(this,e);return!!n&&n.enumerable}:r},{}],40:[function(e,n,t){var r=e("../internals/get-built-in"),i=e("../internals/object-get-own-property-names"),o=e("../internals/object-get-own-property-symbols"),a=e("../internals/an-object");n.exports=r("Reflect","ownKeys")||function(e){var n=i.f(a(e)),t=o.f;return t?n.concat(t(e)):n}},{"../internals/an-object":3,"../internals/get-built-in":20,"../internals/object-get-own-property-names":36,"../internals/object-get-own-property-symbols":37}],41:[function(e,n,t){var r=e("../internals/global");n.exports=r},{"../internals/global":21}],42:[function(e,n,t){var l=e("../internals/global"),c=e("../internals/create-non-enumerable-property"),u=e("../internals/has"),f=e("../internals/set-global"),r=e("../internals/inspect-source"),i=e("../internals/internal-state"),o=i.get,p=i.enforce,d=String(String).split("String");(n.exports=function(e,n,t,r){var i,o=!!r&&!!r.unsafe,a=!!r&&!!r.enumerable,s=!!r&&!!r.noTargetGet;"function"==typeof t&&("string"!=typeof n||u(t,"name")||c(t,"name",n),(i=p(t)).source||(i.source=d.join("string"==typeof n?n:""))),e!==l?(o?!s&&e[n]&&(a=!0):delete e[n],a?e[n]=t:c(e,n,t)):a?e[n]=t:f(n,t)})(Function.prototype,"toString",function(){return"function"==typeof this&&o(this).source||r(this)})},{"../internals/create-non-enumerable-property":12,"../internals/global":21,"../internals/has":22,"../internals/inspect-source":26,"../internals/internal-state":27,"../internals/set-global":44}],43:[function(e,n,t){n.exports=function(e){if(null==e)throw TypeError("Can't call method on "+e);return e}},{}],44:[function(e,n,t){var r=e("../internals/global"),i=e("../internals/create-non-enumerable-property");n.exports=function(n,t){try{i(r,n,t)}catch(e){r[n]=t}return t}},{"../internals/create-non-enumerable-property":12,"../internals/global":21}],45:[function(e,n,t){var r=e("../internals/shared"),i=e("../internals/uid"),o=r("keys");n.exports=function(e){return o[e]||(o[e]=i(e))}},{"../internals/shared":47,"../internals/uid":54}],46:[function(e,n,t){var r=e("../internals/global"),i=e("../internals/set-global"),o="__core-js_shared__",a=r[o]||i(o,{});n.exports=a},{"../internals/global":21,"../internals/set-global":44}],47:[function(e,n,t){var r=e("../internals/is-pure"),i=e("../internals/shared-store");(n.exports=function(e,n){return i[e]||(i[e]=void 0!==n?n:{})})("versions",[]).push({version:"3.8.1",mode:r?"pure":"global",copyright:"© 2020 Denis Pushkarev (zloirock.ru)"})},{"../internals/is-pure":31,"../internals/shared-store":46}],48:[function(e,n,t){var r=e("../internals/to-integer"),i=Math.max,o=Math.min;n.exports=function(e,n){var t=r(e);return t<0?i(t+n,0):o(t,n)}},{"../internals/to-integer":50}],49:[function(e,n,t){var r=e("../internals/indexed-object"),i=e("../internals/require-object-coercible");n.exports=function(e){return r(i(e))}},{"../internals/indexed-object":25,"../internals/require-object-coercible":43}],50:[function(e,n,t){var r=Math.ceil,i=Math.floor;n.exports=function(e){return isNaN(e=+e)?0:(0<e?i:r)(e)}},{}],51:[function(e,n,t){var r=e("../internals/to-integer"),i=Math.min;n.exports=function(e){return 0<e?i(r(e),9007199254740991):0}},{"../internals/to-integer":50}],52:[function(e,n,t){var r=e("../internals/require-object-coercible");n.exports=function(e){return Object(r(e))}},{"../internals/require-object-coercible":43}],53:[function(e,n,t){var i=e("../internals/is-object");n.exports=function(e,n){if(!i(e))return e;var t,r;if(n&&"function"==typeof(t=e.toString)&&!i(r=t.call(e)))return r;if("function"==typeof(t=e.valueOf)&&!i(r=t.call(e)))return r;if(!n&&"function"==typeof(t=e.toString)&&!i(r=t.call(e)))return r;throw TypeError("Can't convert object to primitive value")}},{"../internals/is-object":30}],54:[function(e,n,t){var r=0,i=Math.random();n.exports=function(e){return"Symbol("+String(void 0===e?"":e)+")_"+(++r+i).toString(36)}},{}],55:[function(e,n,t){var r=e("../internals/native-symbol");n.exports=r&&!Symbol.sham&&"symbol"==typeof Symbol.iterator},{"../internals/native-symbol":32}],56:[function(e,n,t){var r=e("../internals/global"),i=e("../internals/shared"),o=e("../internals/has"),a=e("../internals/uid"),s=e("../internals/native-symbol"),l=e("../internals/use-symbol-as-uid"),c=i("wks"),u=r.Symbol,f=l?u:u&&u.withoutSetter||a;n.exports=function(e){return o(c,e)||(s&&o(u,e)?c[e]=u[e]:c[e]=f("Symbol."+e)),c[e]}},{"../internals/global":21,"../internals/has":22,"../internals/native-symbol":32,"../internals/shared":47,"../internals/uid":54,"../internals/use-symbol-as-uid":55}],57:[function(e,n,t){"use strict";var r=e("../internals/export"),i=e("../internals/array-for-each");r({target:"Array",proto:!0,forced:[].forEach!=i},{forEach:i})},{"../internals/array-for-each":4,"../internals/export":17}],58:[function(e,n,t){var r=e("../internals/descriptors"),i=e("../internals/object-define-property").f,o=Function.prototype,a=o.toString,s=/^\s*function ([^ (]*)/;!r||"name"in o||i(o,"name",{configurable:!0,get:function(){try{return a.call(this).match(s)[1]}catch(e){return""}}})},{"../internals/descriptors":14,"../internals/object-define-property":34}]},{},[1]);</script>
    </body>
</html>
